#include "TM1638_ESP32.h"

const int strobe_pin =  4;
const int clock_pin  = 16;
const int data_pin   = 17;

// TM1638_ESP32(Strobe, Clock, Data)
TM1638_ESP32 tm(strobe_pin, clock_pin, data_pin);

void setup()
{
}

void loop()
{
  uint8_t buttons = tm.readButtons();

  for(uint8_t position = 0; position < 8; position++)
  {
    uint8_t mask = 0x1 << position;

    tm.setLED(position, buttons & mask ? 1 : 0);
  }
}
