#include "TM1638_ESP32.h"

const int strobe_pin =  4;
const int clock_pin  = 16;
const int data_pin   = 17;

// TM1638_ESP32(Strobe, Clock, Data)
TM1638_ESP32 tm(strobe_pin, clock_pin, data_pin);

void setup()
{
}

void loop()
{
  tm.sendCommand(WRITE_LOC);  // set single address

  digitalWrite(strobe_pin, LOW);
  tm.shiftOutMod(data_pin, clock_pin, LSBFIRST, 0xc0); // 1st digit
  tm.shiftOutMod(data_pin, clock_pin, LSBFIRST, 0xff);
  digitalWrite(strobe_pin, HIGH);

  digitalWrite(strobe_pin, LOW);
  tm.shiftOutMod(data_pin, clock_pin, LSBFIRST, 0xc5); // 3rd LED
  tm.shiftOutMod(data_pin, clock_pin, LSBFIRST, 0x01);
  digitalWrite(strobe_pin, HIGH);

  digitalWrite(strobe_pin, LOW);
  tm.shiftOutMod(data_pin, clock_pin, LSBFIRST, 0xcb); // 3rd LED
  tm.shiftOutMod(data_pin, clock_pin, LSBFIRST, 0x01);
  digitalWrite(strobe_pin, HIGH);

  digitalWrite(strobe_pin, LOW);
  tm.shiftOutMod(data_pin, clock_pin, LSBFIRST, 0xce); // last digit
  tm.shiftOutMod(data_pin, clock_pin, LSBFIRST, 0xff);
  digitalWrite(strobe_pin, HIGH);
}
